package com.steerinfo.baseinfo.appversionmsg.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="app版本信息表")
public class AppVersionMsg implements IBasePO<String> {
    /**
     * 主键(VERSION_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="主键",required=true)
    private String versionId;

    /**
     * 租户ID(TEANT_ID,VARCHAR,30)
     */
    @ApiModelProperty(value="租户ID",required=false)
    private String teantId;

    /**
     * 程序ID(PROGRAM_ID,VARCHAR,30)
     */
    @ApiModelProperty(value="程序ID",required=false)
    private String programId;

    /**
     * 程序名称(PROGRAM_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="程序名称",required=false)
    private String programName;

    /**
     * 程序版本号(VERSION_NUM,VARCHAR,30)
     */
    @ApiModelProperty(value="程序版本号",required=false)
    private String versionNum;

    /**
     * 程序类型(PROGRAM_TYPE,VARCHAR,50)
     */
    @ApiModelProperty(value="程序类型",required=false)
    private String programType;

    /**
     * 更新内容(VERSION_UPDATE_CONTENT,VARCHAR,500)
     */
    @ApiModelProperty(value="更新内容",required=false)
    private String versionUpdateContent;

    /**
     * 发布时间(PUBLISH_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="发布时间",required=false)
    private Date publishDate;

    /**
     * 发布用户(PUBLISH_USER_ID,VARCHAR,30)
     */
    @ApiModelProperty(value="发布用户",required=false)
    private String publishUserId;

    /**
     * 发布人(PUBLISH_USER_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="发布人",required=false)
    private String publishUserName;

    /**
     * 发布人IP(PUBLISH_IP,VARCHAR,30)
     */
    @ApiModelProperty(value="发布人IP",required=false)
    private String publishIp;

    /**
     * 发布到地址(PUBLISH_TO_URL,VARCHAR,200)
     */
    @ApiModelProperty(value="发布到地址",required=false)
    private String publishToUrl;

    /**
     * 下载地址(DOWNLOAD_FROM_URL,VARCHAR,200)
     */
    @ApiModelProperty(value="下载地址",required=false)
    private String downloadFromUrl;

    /**
     * 强制更新标记(IS_MUST_DOWNLOAD_TAG,VARCHAR,1)
     */
    @ApiModelProperty(value="强制更新标记",required=false)
    private String isMustDownloadTag;

    /**
     * 备注(REMARK,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String remark;

    /**
     * 有效标记（0：正常 1：作废）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="有效标记（0：正常 1：作废）",required=false)
    private String valueFlag;

    /**
     * 创建人ID(CREATE_ID,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人ID",required=false)
    private String createId;

    /**
     * 创建人(CREATE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 修改人ID(UPDATE_ID,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人ID",required=false)
    private String updateId;

    /**
     * 修改人(UPDATE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.versionId;
    }

    @Override
    public void setId(String versionId) {
        this.versionId = versionId == null ? null : versionId.trim();
    }

    public String getVersionId() {
        return versionId;
    }

    public void setVersionId(String versionId) {
        this.versionId = versionId == null ? null : versionId.trim();
    }

    public String getTeantId() {
        return teantId;
    }

    public void setTeantId(String teantId) {
        this.teantId = teantId == null ? null : teantId.trim();
    }

    public String getProgramId() {
        return programId;
    }

    public void setProgramId(String programId) {
        this.programId = programId == null ? null : programId.trim();
    }

    public String getProgramName() {
        return programName;
    }

    public void setProgramName(String programName) {
        this.programName = programName == null ? null : programName.trim();
    }

    public String getVersionNum() {
        return versionNum;
    }

    public void setVersionNum(String versionNum) {
        this.versionNum = versionNum == null ? null : versionNum.trim();
    }

    public String getProgramType() {
        return programType;
    }

    public void setProgramType(String programType) {
        this.programType = programType == null ? null : programType.trim();
    }

    public String getVersionUpdateContent() {
        return versionUpdateContent;
    }

    public void setVersionUpdateContent(String versionUpdateContent) {
        this.versionUpdateContent = versionUpdateContent == null ? null : versionUpdateContent.trim();
    }

    public Date getPublishDate() {
        return publishDate;
    }

    public void setPublishDate(Date publishDate) {
        this.publishDate = publishDate;
    }

    public String getPublishUserId() {
        return publishUserId;
    }

    public void setPublishUserId(String publishUserId) {
        this.publishUserId = publishUserId == null ? null : publishUserId.trim();
    }

    public String getPublishUserName() {
        return publishUserName;
    }

    public void setPublishUserName(String publishUserName) {
        this.publishUserName = publishUserName == null ? null : publishUserName.trim();
    }

    public String getPublishIp() {
        return publishIp;
    }

    public void setPublishIp(String publishIp) {
        this.publishIp = publishIp == null ? null : publishIp.trim();
    }

    public String getPublishToUrl() {
        return publishToUrl;
    }

    public void setPublishToUrl(String publishToUrl) {
        this.publishToUrl = publishToUrl == null ? null : publishToUrl.trim();
    }

    public String getDownloadFromUrl() {
        return downloadFromUrl;
    }

    public void setDownloadFromUrl(String downloadFromUrl) {
        this.downloadFromUrl = downloadFromUrl == null ? null : downloadFromUrl.trim();
    }

    public String getIsMustDownloadTag() {
        return isMustDownloadTag;
    }

    public void setIsMustDownloadTag(String isMustDownloadTag) {
        this.isMustDownloadTag = isMustDownloadTag == null ? null : isMustDownloadTag.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId == null ? null : createId.trim();
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName == null ? null : createName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateId() {
        return updateId;
    }

    public void setUpdateId(String updateId) {
        this.updateId = updateId == null ? null : updateId.trim();
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName == null ? null : updateName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", versionId=").append(versionId);
        sb.append(", teantId=").append(teantId);
        sb.append(", programId=").append(programId);
        sb.append(", programName=").append(programName);
        sb.append(", versionNum=").append(versionNum);
        sb.append(", programType=").append(programType);
        sb.append(", versionUpdateContent=").append(versionUpdateContent);
        sb.append(", publishDate=").append(publishDate);
        sb.append(", publishUserId=").append(publishUserId);
        sb.append(", publishUserName=").append(publishUserName);
        sb.append(", publishIp=").append(publishIp);
        sb.append(", publishToUrl=").append(publishToUrl);
        sb.append(", downloadFromUrl=").append(downloadFromUrl);
        sb.append(", isMustDownloadTag=").append(isMustDownloadTag);
        sb.append(", remark=").append(remark);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createId=").append(createId);
        sb.append(", createName=").append(createName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateId=").append(updateId);
        sb.append(", updateName=").append(updateName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}